package com.fs.ad.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.ad.domain.AdDyApi;

/**
 * 抖音投流API信息Service接口
 * 
 * @author 吴树波
 * @date 2025-05-27
 */
public interface IAdDyApiService extends IService<AdDyApi>{
    /**
     * 查询抖音投流API信息
     * 
     * @param id 抖音投流API信息主键
     * @return 抖音投流API信息
     */
    AdDyApi selectAdDyApiById(Long id);

    /**
     * 查询抖音投流API信息列表
     * 
     * @param adDyApi 抖音投流API信息
     * @return 抖音投流API信息集合
     */
    List<AdDyApi> selectAdDyApiList(AdDyApi adDyApi);

    /**
     * 新增抖音投流API信息
     * 
     * @param adDyApi 抖音投流API信息
     * @return 结果
     */
    int insertAdDyApi(AdDyApi adDyApi);

    /**
     * 修改抖音投流API信息
     * 
     * @param adDyApi 抖音投流API信息
     * @return 结果
     */
    int updateAdDyApi(AdDyApi adDyApi);

    /**
     * 批量删除抖音投流API信息
     * 
     * @param ids 需要删除的抖音投流API信息主键集合
     * @return 结果
     */
    int deleteAdDyApiByIds(Long[] ids);

    /**
     * 删除抖音投流API信息信息
     * 
     * @param id 抖音投流API信息主键
     * @return 结果
     */
    int deleteAdDyApiById(Long id);
}
